Task

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
PATCH
DELETE
POST

List all task automations

Required API key scopes

task:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/projects/:project_id/task_automations
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/task_automations/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"prompt": "string",
"repository": "string",
"github_integration": 0,
"cron_expression": "string",
"timezone": "string",
"template_id": "string",
"enabled": true,
"last_run_at": "2019-08-24T14:15:22Z",
"last_run_status": "string",
"last_task_id": "string",
"last_task_run_id": "string",
"last_error": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create task automations

Required API key scopes

task:write

Request parameters

  • name
    string
  • prompt
    string
  • repository
    string
  • github_integration
    integernull
  • cron_expression
    string
  • timezone
    string
  • template_id
    stringnull
  • enabled
    boolean

Response


Example request

POST /api/projects/:project_id/task_automations
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/task_automations/\
-d name="string",\
-d prompt="string",\
-d repository="string",\
-d cron_expression="string"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"prompt": "string",
"repository": "string",
"github_integration": 0,
"cron_expression": "string",
"timezone": "string",
"template_id": "string",
"enabled": true,
"last_run_at": "2019-08-24T14:15:22Z",
"last_run_status": "string",
"last_task_id": "string",
"last_task_run_id": "string",
"last_error": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Retrieve task automations

Required API key scopes

task:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/task_automations/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/task_automations/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"prompt": "string",
"repository": "string",
"github_integration": 0,
"cron_expression": "string",
"timezone": "string",
"template_id": "string",
"enabled": true,
"last_run_at": "2019-08-24T14:15:22Z",
"last_run_status": "string",
"last_task_id": "string",
"last_task_run_id": "string",
"last_error": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Update task automations

Required API key scopes

task:write

Path parameters

  • id
    string

Request parameters

  • name
    string
  • prompt
    string
  • repository
    string
  • github_integration
    integernull
  • cron_expression
    string
  • timezone
    string
  • template_id
    stringnull
  • enabled
    boolean

Response


Example request

PATCH /api/projects/:project_id/task_automations/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/task_automations/:id/\
-d name="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"prompt": "string",
"repository": "string",
"github_integration": 0,
"cron_expression": "string",
"timezone": "string",
"template_id": "string",
"enabled": true,
"last_run_at": "2019-08-24T14:15:22Z",
"last_run_status": "string",
"last_task_id": "string",
"last_task_run_id": "string",
"last_error": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Delete task automations

Required API key scopes

task:write

Path parameters

  • id
    string

Example request

DELETE /api/projects/:project_id/task_automations/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/task_automations/:id/

Example response

Status 204 No response body

Create task automations run

Required API key scopes

task:write

Path parameters

  • id
    string

Request parameters

  • name
    string
  • prompt
    string
  • repository
    string
  • github_integration
    integernull
  • cron_expression
    string
  • timezone
    string
  • template_id
    stringnull
  • enabled
    boolean

Response


Example request

POST /api/projects/:project_id/task_automations/:id/run
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/task_automations/:id/run/\
-d name="string",\
-d prompt="string",\
-d repository="string",\
-d cron_expression="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"prompt": "string",
"repository": "string",
"github_integration": 0,
"cron_expression": "string",
"timezone": "string",
"template_id": "string",
"enabled": true,
"last_run_at": "2019-08-24T14:15:22Z",
"last_run_status": "string",
"last_task_id": "string",
"last_task_run_id": "string",
"last_error": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Community questions

Questions about this page? or post a community question.